# Control.conditional

## Description

Validates the condition passed.

## Input / Parameter

| Name      | Description                                           | Input Type | Default | Options | Required |
| --------- | ----------------------------------------------------- | ---------- | ------- | ------- | -------- |
| condition | The condition to be validated.                        | Boolean    | -       | -       | Yes      |
| yesValue  | The output value if condition is 'true'.              | Any        | -       | -       | No       |
| noValue   | The output value if condition is 'false'.             | Any        | -       | -       | No       |
| extra     | The stored value that is passed to all the callbacks. | Any        | -       | -       | No       |

## Output

| Description                          | Output Type |
| ------------------------------------ | ----------- |
| Returns the 'yesValue' or 'noValue'. | Any         |

## Callback

### yesCallback

The action performed if the condition is true.

### noCallback

The action performed if the condition is false.

## Video

Coming Soon.

## Example

Coming Soon.

### Steps

Coming Soon.

### Result

Coming Soon.

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-server/005-function/control/control.conditional.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
